Subject: bug#79079: 31.0.50; Piped command output is sometimes lost in Eshell

From: Jim Porter <[email-masked]>
Date: Wed, 23 Jul 2025 08:52:36 -0700

On 7/23/2025 2:55 AM, Daniel Mendler via Bug reports for GNU Emacs, the 
Swiss army knife of text editors wrote:
> sometimes when executing commands in Eshell with pipes the output seems
> to get lost, for example:
[snip]
> Can someone confirm these problems? Thanks!

I'm not able to reproduce this locally, but if you first run 
"eshell-debug process", that will log a bunch of process-related 
information to the buffer "*eshell last cmd*". That would probably have 
some details that at least show where the I/O went missing.